<?php
/**
 * ------------------------ 
 *  版权所有  www.tecmz.com
 *  商业版本请购买正版授权使用
 * ------------------------
*/ namespace Payment; use Payment\Charge\Ali\AliAppCharge; use Payment\Charge\Ali\AliBarCharge; use Payment\Charge\Ali\AliWapCharge; use Payment\Charge\Ali\AliWebCharge; use Payment\Charge\Ali\AliQrCharge; use Payment\Charge\Cmb\CmbCharge; use Payment\Charge\Wx\WxAppCharge; use Payment\Charge\Wx\WxBarCharge; use Payment\Charge\Wx\WxPubCharge; use Payment\Charge\Wx\WxQrCharge; use Payment\Charge\Wx\WxWapCharge; use Payment\Common\BaseStrategy; use Payment\Common\PayException; class ChargeContext { protected $channel; public function initCharge($wTg1v, array $DGBfn) { try { switch ($wTg1v) { case Config::ALI_CHANNEL_WAP: $this->channel = new AliWapCharge($DGBfn); break; case Config::ALI_CHANNEL_APP: $this->channel = new AliAppCharge($DGBfn); break; case Config::ALI_CHANNEL_WEB: $this->channel = new AliWebCharge($DGBfn); break; case Config::ALI_CHANNEL_QR: $this->channel = new AliQrCharge($DGBfn); break; case Config::ALI_CHANNEL_BAR: $this->channel = new AliBarCharge($DGBfn); break; case Config::WX_CHANNEL_APP: $this->channel = new WxAppCharge($DGBfn); break; case Config::WX_CHANNEL_LITE: case Config::WX_CHANNEL_PUB: $this->channel = new WxPubCharge($DGBfn); break; case Config::WX_CHANNEL_WAP: $this->channel = new WxWapCharge($DGBfn); break; case Config::WX_CHANNEL_QR: $this->channel = new WxQrCharge($DGBfn); break; case Config::WX_CHANNEL_BAR: $this->channel = new WxBarCharge($DGBfn); break; case Config::CMB_CHANNEL_WAP: case Config::CMB_CHANNEL_APP: $this->channel = new CmbCharge($DGBfn); break; case Config::CCB_CHANNEL_WEB: $this->channel = new CcbWebCharge($DGBfn); break; default: throw new PayException('当前仅支持：支付宝  微信 招商一网通 建设银行'); } } catch (PayException $NbaRk) { throw $NbaRk; } } public function charge(array $N421A) { if (!$this->channel instanceof BaseStrategy) { throw new PayException('请检查初始化是否正确'); } try { return $this->channel->handle($N421A); } catch (PayException $NbaRk) { throw $NbaRk; } } }