<?php
/**
 * ------------------------ 
 *  版权所有  www.tecmz.com
 *  商业版本请购买正版授权使用
 * ------------------------
*/ namespace Payment; use Payment\Common\BaseStrategy; use Payment\Common\PayException; use Payment\Query\Ali\AliChargeQuery; use Payment\Query\Ali\AliRefundQuery; use Payment\Query\Ali\AliTransferQuery; use Payment\Query\Cmb\CmbChargeQuery; use Payment\Query\Cmb\CmbRefundQuery; use Payment\Query\Wx\WxChargeQuery; use Payment\Query\Wx\WxRefundQuery; use Payment\Query\Wx\WxTransferQuery; use Payment\Query\Wx\WxRedQuery; class QueryContext { protected $query; public function initQuery($wTg1v, array $DGBfn) { try { switch ($wTg1v) { case Config::ALI_CHARGE: $this->query = new AliChargeQuery($DGBfn); break; case Config::ALI_REFUND: $this->query = new AliRefundQuery($DGBfn); break; case Config::ALI_TRANSFER: $this->query = new AliTransferQuery($DGBfn); break; case Config::WX_CHARGE: $this->query = new WxChargeQuery($DGBfn); break; case Config::WX_REFUND: $this->query = new WxRefundQuery($DGBfn); break; case Config::WX_TRANSFER: $this->query = new WxTransferQuery($DGBfn); break; case Config::WX_RED: $this->query = new WxRedQuery($DGBfn); break; case Config::CMB_CHARGE: $this->query = new CmbChargeQuery($DGBfn); break; case Config::CMB_REFUND: $this->query = new CmbRefundQuery($DGBfn); break; default: throw new PayException('当前仅支持：ALI_CHARGE ALI_REFUND WX_CHARGE WX_REFUND WX_TRANSFER WX_RED CMB_CHARGE CMB_REFUND'); } } catch (PayException $NbaRk) { throw $NbaRk; } } public function query(array $N421A) { if (!$this->query instanceof BaseStrategy) { throw new PayException('请检查初始化是否正确'); } try { return $this->query->handle($N421A); } catch (PayException $NbaRk) { throw $NbaRk; } } }