<header class="ub-header-b">
    <div class="ub-container">
        <div class="menu">
            @if(!\ModStart\Core\Util\AgentUtil::isMobile())
                <a href="{{modstart_web_url('cart')}}">
                    <i class="iconfont icon-cart"></i>
                    <?php $count = \Module\Shop\Util\CartUtil::getUserCartCount(\Module\Member\Auth\MemberUser::id()); ?>
                    <span class="badge @if(!$count) tw-hidden @endif" data-shop-cart-count>{{$count}}</span>
                </a>
            @endif
            @if(\Module\Member\Auth\MemberUser::id())
                <a href="{{modstart_web_url('member')}}"><i class="iconfont icon-user"></i> {{\Module\Member\Auth\MemberUser::get('username')}}</a>
            @else
                <a href="{{modstart_web_url('login')}}">登录</a>
                <a href="{{modstart_web_url('register')}}">注册</a>
            @endif
        </div>
        <div class="logo">
            <a href="{{modstart_web_url('')}}">
                <img src="{{\ModStart\Core\Assets\AssetsUtil::fix(modstart_config('siteLogo'))}}"/>
            </a>
        </div>
        <div class="nav-mask" onclick="MS.header.hide()"></div>
        <div class="nav">
            <div class="search">
                <div class="box">
                    <form action="{{modstart_web_url('goods')}}" method="get">
                        <input type="text" name="keywords" placeholder="搜索商品"/>
                        <button type="submit"><i class="iconfont icon-search"></i></button>
                    </form>
                </div>
            </div>
            {!! \Module\Nav\Render\NavRender::position('head') !!}
        </div>
        <a class="nav-toggle" href="javascript:;" onclick="MS.header.trigger()">
            <i class="show iconfont icon-list"></i>
            <i class="close iconfont icon-close"></i>
        </a>
    </div>
</header>
